Segments

Get a segment

GET
/api/v1/envs/{envId}/segments/{segmentId}

Get a single segment by id.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

segmentId*string
Formatuuid
envId*string

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/envs/string/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "success": true,  "errors": [    "string"  ],  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "envId": "d85839b9-a5c7-44cb-bab9-87315a911e73",    "name": "string",    "key": "string",    "type": "string",    "scopes": [      "string"    ],    "description": "string",    "included": [      "string"    ],    "excluded": [      "string"    ],    "rules": [      {        "id": "string",        "name": "string",        "conditions": [          {            "id": "string",            "property": "string",            "op": "string",            "value": "string"          }        ]      }    ],    "tags": [      "string"    ],    "isArchived": true,    "isEnvironmentSpecific": true  }}